
Summary:	rsh client and rcp command
Summary(pl.UTF-8):	Klient rsh i polecenie rcp
Name:		rsh
Version:	0.17
Release:	27
License:	BSD
Group:		Applications/Networking
Source0:	ftp://ftp.uk.linux.org/pub/linux/Networking/netkit/netkit-%{name}-%{version}.tar.gz
# Source0-md5:	65f5f28e2fe22d9ad8b17bb9a10df096
Source1:	rexec.pamd
Source2:	rlogin.pamd
Source3:	%{name}.pamd
Source4:	rexec-1.5.tar.gz
# Source4-md5:	17c2b2fa2aed6af7e0b850673d5ef1f9
Source5:	rlogind.inetd
Source6:	%{name}d.inetd
Source7:	rexec.inetd
Patch0:		netkit-%{name}-sectty.patch
Patch1:		netkit-%{name}-rexec.patch
Patch2:		netkit-%{name}-stdarg.patch
Patch3:		netkit-%{name}-install.patch
Patch4:		netkit-%{name}-jbj2.patch
Patch5:		netkit-%{name}-pam-link.patch
Patch6:		netkit-%{name}-prompt.patch
Patch7:		netkit-%{name}-rlogin=rsh.patch
Patch8:		netkit-%{name}-nokrb.patch
Patch9:		netkit-%{name}-auth.c.patch
Patch10:        netkit-rsh-0.17-union-wait.patch
BuildRequires:	pam-devel
BuildRequires:	rpmbuild(macros) >= 1.268
BuildRequires:	sed >= 4.0
Requires:	pam >= 0.99.7.1
Obsoletes:	heimdal-rsh
Obsoletes:	krb5-rsh
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The rsh package contains programs which allow users to run commmands
on remote machines (rsh) and copy files between machines (rcp).

%description -l pl.UTF-8
Pakiet rsh zawiera program pozwalający użytkownikom na uruchamianie
poleceń na zdalnych maszynach (rsh) i kopiowanie plików między
maszynami (rcp).

%package -n rshd
Summary:	Servers for rsh
Summary(pl.UTF-8):	Serwery dla rsh
Group:		Applications/Networking
Requires:	pam >= 0.99.7.1
Requires:	rc-inetd
Obsoletes:	heimdal-rshd
Obsoletes:	krb5-kshd
Obsoletes:	rsh-server

%description -n rshd
The rshd package contains a server which allow users to run commmands
from remote machines (rsh) and copy files between machines (rcp).

%description -n rshd -l pl.UTF-8
Pakiet rshd zawiera serwer pozwalający użytkownikom uruchamiać
polecenia ze zdalnych maszyn (rsh) oraz kopiować pliki między
maszynami (rcp).

%package -n rlogin
Summary:	rlogin client
Summary(pl.UTF-8):	Klient rlogin
Group:		Applications/Networking
Obsoletes:	heimdal-rlogin
Obsoletes:	krb5-rlogin

%description -n rlogin
The rlogin package contains a program which allow users to login on
remote machines (rlogin).

%description -n rlogin -l pl.UTF-8
Pakiet rlogin zawiera program pozwalający użytkownikom na logowanie
się na zdalne maszyny (rlogin).

%package -n rlogind
Summary:	Servers for rlogin
Summary(pl.UTF-8):	Serwer rlogin
Group:		Applications/Networking
Requires:	login
Requires:	pam >= 0.99.7.1
Requires:	rc-inetd
Obsoletes:	heimdal-rlogin
Obsoletes:	krb5-klogind
Obsoletes:	rsh-server

%description -n rlogind
The rlogind package contains a server which allow users to login from
remote machines.

%description -n rlogind -l pl.UTF-8
Pakiet rlogind zawiera serwer pozwalający użytkownikom logować się ze
zdalnych maszyn.

%package -n rexec
Summary:	rexec client
Summary(pl.UTF-8):	Klient rexec
Group:		Applications/Networking
Obsoletes:	rsh-server

%description -n rexec
The rexec package contains a program which allow users to execute
programs on remote machines (rexec).

%description -n rexec -l pl.UTF-8
Pakiet rexec zawiera program pozwalający użytkownikom uruchamiać
programy na zdalnych maszynach (rexec).

%package -n rexecd
Summary:	Servers for rexec
Summary(pl.UTF-8):	Serwer rexec
Group:		Applications/Networking
Requires:	pam >= 0.99.7.1
Requires:	rc-inetd

%description -n rexecd
The rexecd package contains a server which allow users to execute
programs from remote machines (rexec).

%description -n rexecd -l pl.UTF-8
Pakiet rexecd zawiera serwer pozwalający użytkownikom na uruchamianie
programów ze zdalnych maszyn (rexec).

%prep
%setup -q -n netkit-%{name}-%{version} -a4
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1
%patch10 -p1

%{__sed} -i 's/ARG_MAX/_POSIX_ARG_MAX/g' ./rshd/rshd.c ./rexecd/rexecd.c

# No, I don't know what this is doing in the tarball.
rm -f rexec/rexec

%build
./configure \
	--with-c-compiler="%{__cc}"
%{__make} \
	CC="%{__cc}" \
	CFLAGS="%{rpmcflags}" \
	LDFLAGS="%{rpmldflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{/etc/pam.d,%{_bindir},%{_sbindir},%{_mandir}/man{1,8}} \
	$RPM_BUILD_ROOT/etc/sysconfig/rc-inetd

%{__make} install \
	INSTALLROOT=$RPM_BUILD_ROOT \
	MANDIR=%{_mandir}

install %{SOURCE1} $RPM_BUILD_ROOT/etc/pam.d/rexec
install %{SOURCE2} $RPM_BUILD_ROOT/etc/pam.d/rlogin
install %{SOURCE3} $RPM_BUILD_ROOT/etc/pam.d/rsh
install %{SOURCE5} $RPM_BUILD_ROOT/etc/sysconfig/rc-inetd/rlogind
install %{SOURCE6} $RPM_BUILD_ROOT/etc/sysconfig/rc-inetd/rshd
install %{SOURCE7} $RPM_BUILD_ROOT/etc/sysconfig/rc-inetd/rexec

mv -f $RPM_BUILD_ROOT%{_mandir}/rexec* $RPM_BUILD_ROOT%{_mandir}/man1/

rm -f $RPM_BUILD_ROOT%{_mandir}/man8/{rexec,rlogin,rsh}d.8

echo ".so in.rexecd.8" >$RPM_BUILD_ROOT%{_mandir}/man8/rexecd.8
echo ".so in.rlogind.8" >$RPM_BUILD_ROOT%{_mandir}/man8/rlogind.8
echo ".so in.rshd.8" >$RPM_BUILD_ROOT%{_mandir}/man8/rshd.8

%clean
rm -rf $RPM_BUILD_ROOT

%post -n rshd
%service -q rc-inetd reload

%postun -n rshd
if [ "$1" = 0 ]; then
	%service -q rc-inetd reload
fi

%post -n rlogind
%service -q rc-inetd reload

%postun -n rlogind
if [ "$1" = 0 ]; then
	%service -q rc-inetd reload
fi

%post -n rexecd
%service -q rc-inetd reload

%postun -n rexecd
if [ "$1" = 0 ]; then
	%service -q rc-inetd reload
fi

%files
%defattr(644,root,root,755)
%attr(4755,root,root) %{_bindir}/rsh
%attr(4755,root,root) %{_bindir}/rcp
%{_mandir}/man1/rsh.1*
%{_mandir}/man1/rcp.1*

%files -n rshd
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/pam.d/rsh
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/rc-inetd/rshd
%attr(755,root,root) %{_sbindir}/in.rshd
%{_mandir}/man8/in.rshd.8*
%{_mandir}/man8/rshd.8*

%files -n rlogin
%defattr(644,root,root,755)
%attr(4755,root,root) %{_bindir}/rlogin
%{_mandir}/man1/rlogin.1*

%files -n rlogind
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/pam.d/rlogin
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/rc-inetd/rlogind
%attr(755,root,root) %{_sbindir}/in.rlogind
%{_mandir}/man8/in.rlogind.8*
%{_mandir}/man8/rlogind.8*

%files -n rexec
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/rexec
%{_mandir}/man1/rexec.1*

%files -n rexecd
%defattr(644,root,root,755)
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/pam.d/rexec
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/rc-inetd/rexec
%attr(755,root,root) %{_sbindir}/in.rexecd
%{_mandir}/man8/in.rexecd.8*
%{_mandir}/man8/rexecd.8*
%changelog
* Thu Feb 02 2023 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/rsh.git;a=log;h=master

* Thu Feb 02 2023 Arkadiusz Miśkiewicz <arekm@maven.pl> e7bb232
- rel 27

* Wed Feb 01 2023 Arkadiusz Miśkiewicz <arekm@maven.pl> 15f0bc3
- Release 26 (by relup.sh)

* Sat Jul 20 2013 Jan Rękorajski <baggins@pld-linux.org> b8469ce
- release 25 (by relup.sh)

* Wed May 28 2008 blekot <blekot@pld-linux.org> 369a823
- rel .24 to rebuild

* Wed May 28 2008 blekot <blekot@pld-linux.org> 4f8cfb3
- added some Th workarounds: (netkit-rsh-auth.c.patch)
- added s/ARG_MAX/_POSIX_ARG_MAX/g
- builds on Th (TODO removed)

* Wed May 28 2008 Elan Ruusamäe <glen@pld-linux.org> 2219d0f
- th build fails

* Wed May 28 2008 Elan Ruusamäe <glen@pld-linux.org> 339e9c9
- rel 23 for fc2 upgrade

* Sat Mar 31 2007 Jan Rękorajski <baggins@pld-linux.org> 58237d2
- rel 13
- added krb5 obsoletes

* Tue Mar 27 2007 Jan Rękorajski <baggins@pld-linux.org> 003fb8c
- uniformized configs to use system-auth where possible
- sanitized
- uniform blacklist for pop3, imap and smtp services

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> a6f3f88
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> f454afb
- converted to UTF-8

* Sun Feb 11 2007 Jan Rękorajski <baggins@pld-linux.org> 7155357
- switch from pam_make to pam_exec

* Sun Feb 11 2007 Jan Rękorajski <baggins@pld-linux.org> 0931f8a
- rel 12
- R: pam >= 0.99.7.1

* Thu Aug 03 2006 sparky <sparky@pld-linux.org> e7298fa
- pass rpmldflags

* Tue Mar 14 2006 Elan Ruusamäe <glen@pld-linux.org> 85be848
- unified rc-inetd usage (via %service), adapterized

* Sun Feb 26 2006 sparky <sparky@pld-linux.org> 0a33a2b
- --with-c-compiler=%{__cc} is not enough, rexec was build using "gcc"

* Tue Dec 13 2005 Elan Ruusamäe <glen@pld-linux.org> 4c43e09
- adapterized (sorted %verify attrs)

* Thu May 12 2005 Jan Rękorajski <baggins@pld-linux.org> 29a43ca
- release 11
- req pam 0.79

* Thu May 12 2005 Jan Rękorajski <baggins@pld-linux.org> e8600c4
- fixed pam_tally usage

* Tue Oct 26 2004 Jakub Bogusz <qboosh@pld-linux.org> afdf99e
- pl fixes, unifications

